* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
body {
  font-family: "Arquitecta" !important;
  background: #f9f9f9;
}

.main-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: #f9f9f9;
}

.main-section .section-heading {
  padding: 85px 120px 37px 120px;
}

.main-section .section-heading h2,
.main-section .section-heading p {
  text-align: center;
}

.main-section .section-heading h2 {
  font-size: 42px;
  letter-spacing: 4.2px;
  color: #383838;
  opacity: 1;
  margin-bottom: 20px;
  text-transform: uppercase;
  font-family: "Moragon" !important;
}

.main-section .section-heading p {
  text-align: center;
  font-size: 18px;
  letter-spacing: 0px;
  color: #5e656c;
  opacity: 1;
}

.main-section .templateBox-container {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
}

.main-section .griditems .left,
.main-section .griditems .right {
  width: 398px;
  height: 265px;
}

.main-section .griditems .middle {
  width: 823px;
  height: 548px;
}

.main-section .templateBox-container .widget-banner {
  position: relative;
  margin-bottom: 18px;
}
.main-section .templateBox-container .widget-banner img.img-responsive {
  display: block;
  /* max-width: 100%; */
  /*margin: 0 auto;*/
  width: 100%;
  height: 100%;
}
.main-section .hero-template {
  width: 100%;
  max-width: 1920px;

}
.main-section .hero-template .ad-banner {
  position: relative;
  width: 100%;
  height: 635px;
  background: linear-gradient(rgba(39, 39, 39, 0.5), rgba(39, 39, 39, 0.5)),
    url("assets/images/homepage/homepage-plan-your-next-unforgettable-stay.webp");
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: flex-end;
  padding-bottom: 105px;
  justify-content: center;
  color: #fff;
  text-align: center;
}

.main-section .hero-template .text-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 30px;
}

.main-section .hero-template .text-content h2 {
  font-family: "Moragon" !important;
  margin-bottom: 27px;
  text-transform: uppercase;
  font-size: 42px;
  letter-spacing: 4.2px;
  color: #ffffff;
}

.main-section .hero-template .text-content p {
  margin-bottom: 27px;
  text-align: center;
  font-size: 18px;
  letter-spacing: 0px;
  color: #ffffff;
  opacity: 1;
  /* width: 360px; */
}

.main-section .hero-template .text-content p span {
  font-weight: bold;
  color: #ff4d4d; /* Highlighted discount in red */
}

.main-section .hero-template .text-content button {
  cursor: pointer;
  background-color: transparent !important;
  height: 52px;
  border: 2px solid #ffffff;
  border-radius: 50px;
  width: 234px;
  font-size: 16px;
  letter-spacing: 0px;
  color: #ffffff;
  text-transform: uppercase;
}

/* .hero-template .text-content button:hover {
  background-color: #ddd;
} */

.main-section .image-text-content-3 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 80px;
  padding: 0 120px;
}

.main-section .image-text-content-3 .left-image {
  width: 1035px;
  height: 590px;
}

.main-section .image-text-content-3 .left-image img {
  width: 100%;
  height: 100%;
}

.main-section .image-text-content-3 .right-content {
  width: 532px;
}

.main-section .image-text-content-3 .right-content h3 {
  font-size: 30px;
  letter-spacing: 1.5px;
  color: #383838;
  opacity: 1;
  text-transform: uppercase;
  margin-bottom: 36px;
  font-family: "Moragon";
}

.main-section .image-text-content-3 .right-content p {
  font-size: 20px;
  letter-spacing: 0px;
  color: #5e656c;
  opacity: 1;
  margin-bottom: 50px;
}

/* .main-section .image-text-content-3 .right-content button {
  cursor: pointer;
  width: 145px;
  height: 52px;
  background: #ffffff;
  border: 2px solid #707070;
  border-radius: 50px;
  opacity: 1;
  font-size: 16px;
} */

.main-section .banner-action-btn {
  cursor: pointer;
  width: 145px;
  height: 52px;
  background: transparent;
  border: 2px solid #707070;
  color: #6d6e71 !important;
  text-transform: uppercase;
  border-radius: 50px;
  opacity: 1;
  font-size: 16px;
}
.banner-video-area {
  position: relative;
  height: 100vh;
  width: 100%;
  max-width: 1920px;
}
.banner-video-area video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* height: 100vh; */
}
.banner-video-area .logo-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9;
}
.banner-video-area .logo-overlay img {
  height: 90px;
}
.banner-video-area .scrolldown-icon-area {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9;
}
.banner-video-area .scrolldown-icon-area img {
  animation: upDown 2s ease-in-out infinite;
}


@keyframes upDown {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px); /* move up */
  }
  100% {
    transform: translateY(0); /* back to normal */
  }
}
@media (max-width: 1690px) {
  .main-section .templateBox-container {
    display: flex;
    flex-direction: column;
  }
  .main-section .templateBox-container .griditems.one,
  .main-section .templateBox-container .griditems.three {
    display: flex;
    justify-content: space-between;
  }
}

@media (max-width: 1350px) {
  .main-section .templateBox-container {
    gap: 20px;
    justify-content: center;
    padding: 0 8px;
  }

  .main-section .templateBox-container .griditems.one,
  .main-section .templateBox-container .griditems.three {
    display: flex;
    gap: 15px;
  }
  .main-section .templateBox-container .widget-banner.left,
  .main-section .templateBox-container .widget-banner.right {
    width: 50%;
  }
  .main-section .templateBox-container .widget-banner.middle {
    width: 100%;
  }
  .main-section .templateBox-container .widget-banner {
    margin-bottom: 0;
  }

  .main-section .image-text-content-3 {
    display: flex;
    flex-direction: column;
  }
  .main-section .image-text-content-3 .left-image {
    width: 100%;
  }
  .main-section .image-text-content-3 .right-content {
    width: 100%;
  }
  .main-section .image-text-content-3.reverse .right-content {
    order: 2;
  }
  .main-section .image-text-content-3.reverse .left-image {
    order: 1;
  }
}

@media (max-width: 991px) {
  .main-section .section-heading {
    padding-left: 15px;
    padding-right: 15px;
  }
  .main-section .griditems .middle {
    height: 280px;
  }
  .main-section .section-heading h2 {
    margin-bottom: 15px;
  }
  .main-section .section-heading {
    padding-top: 45px;
  }
  .main-section .section-heading p {
    margin-bottom: 0;
  }
  .main-section .section-heading {
    padding-bottom: 20px;
  }

  .main-section .image-text-content-3 {
    padding: 0px;
    gap: 22px;
  }
  .main-section .image-text-content-3 .right-content {
    padding: 0 30px;
    margin-bottom: 0px;
    padding-bottom: 45px;
  }
  .main-section .image-text-content-3 .right-content h3 {
    margin-bottom: 22px;
  }
  .main-section .image-text-content-3 .right-content p {
    margin-bottom: 40px;
  }
  .main-section .templateBox-container .widget-banner.left,
  .main-section .templateBox-container .widget-banner.right {
    height: 135px;
  }
}

/* Responsive Design */
@media (max-width: 768px) {
  main.hero-template .text-content h1 {
    font-size: 40px;
  }

  .hero-template .text-content p {
    font-size: 16px;
  }

  .hero-template .text-content button {
    padding: 8px 16px;
    font-size: 14px;
  }
  .main-section .section-heading h2 {
    font-size: 26px;
  }
  .main-section .hero-template .text-content h2 {
    font-size: 26px;
  }
  .main-section .section-heading p {
    font-size: 16px;
  }
  .main-section .image-text-content-3 .right-content h3 {
    font-size: 26px;
  }
  .main-section .image-text-content-3 .right-content p {
    font-size: 16px;
  }
  .main-section .image-text-content-3.reverse .left-image {
    height: 340px;
  }
  .main-section .image-text-content-3 .left-image {
    height: 340px;
  }
  .banner-video-area {
    height: calc(100vh - 56px);
  }
  .banner-video-area video {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .banner-video-area .logo-overlay img {
    height: 34px;
  }
  .banner-video-area .logo-overlay img {
    height: 34px;
  }
  .banner-video-area .logo-overlay img {
    height: 30px;
  }
}
@media (min-width: 1050.01px) {
    .app-promotion .content-right .download-app-text img {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 1100px) {
  .banner-video-area .logo-overlay img {
    height: 60px;
  }
}
